<?php
namespace Clevercherry\Backslash4\Controllers\Admin;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\View;
use App\Models\Page;
use Illuminate\Support\Str;

class PageController extends BkAdminController
{
    //public $adminView = 'backslash4::pages'; // uses generic
    public $adminRoute = 'admin.pages';
    public $AppModel = Page::class;
    
    //Override default slug behaviour
    public function makeSlug($str)
    {
        $slug=Str::slug($str);
        if($slug=='home')
            return "";
        //else

        return $slug;
    }
}
